% Faz o desenho da funcao func definida em func.m.
% Cria uma imagem colorida de 100x100 pixels.
% A superficie desenhada devera estar dentro do
% cubo com x=1:100 y=1:100 e z=1:100.
% Saidas:
% p(x,y) imagem em nivel de cinza
% zed(x,y) imagem de profundidade
% cim(x,y,lambda) imagem colorida
% lambda=1:3 corresponde aos canais RGB

p=zeros(100,100);
zed=zeros(100,100);
cim=zeros(100,100,3);

cor_fundo=[0, 0, 0.8];
cor_superficie=[0.7, 0, 0];

% preencher com cor do fundo
for i=1:3
  cim(:,:,i)=cor_fundo(i)*ones(100,100);
end

% preencher com simulacao da superficie iluminada
for x=1:100
  for y=1:100
    z=acha_z(x,y);
    if length(z)>0
      zed(x,y)=z;
      p(x,y)=shade(x,y,z);
      for i=1:3
        cim(x,y,i)=cor_superficie(i)*p(x,y);
      end
    end
  end
  %disp(x);
end
image(cim); axis square;

% Dicas
% * utilizar imwrite(cim,'saida.bmp') para gerar um arquivo de imagem.
% * utilizar surf(zed) para visualizar o perfil tridimensional.

